summaryrefslogtreecommitdiff
path: root/post-install.d/10vcs-test
diff options
context:
space:
mode:
Diffstat (limited to 'post-install.d/10vcs-test')
-rwxr-xr-xpost-install.d/10vcs-test13
1 files changed, 13 insertions, 0 deletions
diff --git a/post-install.d/10vcs-test b/post-install.d/10vcs-test
new file mode 100755
index 0000000..ddd4448
--- /dev/null
+++ b/post-install.d/10vcs-test
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -e
+
+not_enabled_warning() {
+ echo "etckeeper warning: etckeeper is not yet enabled for $(pwd)" >&2
+ echo "etckeeper warning: run etckeeper init to enable it" >&2
+}
+
+if [ "$VCS" = git ] && [ ! -d .git ]; then
+ not_enabled_warning
+elif [ "$VCS" = hg ] && [ ! -d .hg ]; then
+ not_enabled_warning
+fi